Update Cluster Instance.
PUT /api/v1/cluster/instances/id/. Orchestrator API reference.
curl --request PUT \
--url https://{apiHost}/api/v1/cluster/instances/id/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"title": "<string>",
"clusterType": "CLUSTER_TYPE_UNSPECIFIED",
"projectId": "<string>",
"edgeNodePoolTags": {},
"serverAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"description": "<string>",
"tags": {},
"clusterID": "<string>",
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>"
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"PersistentRuntimeSizeBytes": "<string>"
},
"agentAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"description": "<string>",
"tags": {},
"clusterID": "<string>",
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>"
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"PersistentRuntimeSizeBytes": "<string>"
},
"minEdgeDevices": 123,
"maxEdgeDevices": 123,
"minServerNodes": 123,
"maxServerNodes": 123,
"minAgentNodes": 123,
"maxAgentNodes": 123,
"callHomeURL": "<string>",
"clusterOnboardType": "CLUSTER_ONBOARD_TYPE_UNSPECIFIED",
"activate": "<string>"
}
'import requests
url = "https://{apiHost}/api/v1/cluster/instances/id/{id}"
payload = {
"name": "<string>",
"title": "<string>",
"clusterType": "CLUSTER_TYPE_UNSPECIFIED",
"projectId": "<string>",
"edgeNodePoolTags": {},
"serverAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": True,
"description": "<string>",
"tags": {},
"clusterID": "<string>",
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": True,
"preserve": True,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": True,
"cleartext": True,
"mountpath": "<string>"
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": True,
"privateip": True,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": True,
"limit": True,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": True,
"mapparams": { "port": 123 }
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": True,
"allowToDiscover": True
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": True,
"override": True,
"allowStorageResize": True,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": True,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": True,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": True
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": True,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": True,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": True,
"immediate": True
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": True
},
"PersistentRuntimeSizeBytes": "<string>"
},
"agentAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": True,
"description": "<string>",
"tags": {},
"clusterID": "<string>",
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": True,
"preserve": True,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": True,
"cleartext": True,
"mountpath": "<string>"
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": True,
"privateip": True,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": True,
"limit": True,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": True,
"mapparams": { "port": 123 }
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": True,
"allowToDiscover": True
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": True,
"override": True,
"allowStorageResize": True,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": True,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": True,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": True
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": True,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": True,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": True,
"immediate": True
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": True
},
"PersistentRuntimeSizeBytes": "<string>"
},
"minEdgeDevices": 123,
"maxEdgeDevices": 123,
"minServerNodes": 123,
"maxServerNodes": 123,
"minAgentNodes": 123,
"maxAgentNodes": 123,
"callHomeURL": "<string>",
"clusterOnboardType": "CLUSTER_ONBOARD_TYPE_UNSPECIFIED",
"activate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
title: '<string>',
clusterType: 'CLUSTER_TYPE_UNSPECIFIED',
projectId: '<string>',
edgeNodePoolTags: {},
serverAppInst: {
name: '<string>',
title: '<string>',
projectId: '<string>',
appId: '<string>',
deviceId: '<string>',
activate: true,
description: '<string>',
tags: {},
clusterID: '<string>',
drives: [
{
imagename: '<string>',
maxsize: 123,
readonly: true,
preserve: true,
drvtype: '<string>',
target: '<string>',
volumelabel: '<string>',
mvolname: '<string>',
imvolname: '<string>',
ignorepurge: true,
cleartext: true,
mountpath: '<string>'
}
],
interfaces: [
{
intfname: '<string>',
netname: '<string>',
io: {type: 'IO_TYPE_UNSPECIFIED', name: '<string>', tags: {}},
intforder: 123,
directattach: true,
privateip: true,
acls: [
{
matches: [{type: '<string>', value: '<string>'}],
actions: [
{
drop: true,
limit: true,
limitrate: 123,
limitunit: '<string>',
limitburst: 123,
portmap: true,
mapparams: {port: 123}
}
],
id: 123,
name: '<string>'
}
],
ipaddr: '<string>',
macaddr: '<string>',
accessVlanId: 2047.5,
netinstname: '<string>',
netinsttag: {},
netinstid: '<string>',
defaultNetInstance: true,
allowToDiscover: true
}
],
userData: '<string>',
customConfig: {
name: '<string>',
add: true,
override: true,
allowStorageResize: true,
fieldDelimiter: '<string>',
template: '<string>',
variableGroups: [
{
name: '<string>',
variables: [
{
format: 'VARIABLE_FORMAT_TEXT',
name: 'username',
label: 'Enter User Name',
required: 'True'
}
],
required: true,
condition: {
name: '<string>',
value: '<string>',
operator: 'CONDITION_OPERATOR_UNSPECIFIED'
}
}
]
},
collectStatsIPAddr: '<string>',
bundleversion: '<string>',
restart: {counter: 123, opsTime: {}},
refresh: {counter: 123, opsTime: {}},
purge: {counter: 123, opsTime: {}},
remoteConsole: true,
encryptedSecrets: {},
cryptoKey: '<string>',
manifestInfo: {
bundleVersion: '<string>',
nextBundleVersion: '<string>',
transitionAction: 'INSTANCE_TA_UNSPECIFIED',
params: {},
details: {
cause: 'TRANS_CAUSE_UNSPECIFIED',
severity: '<string>',
scope: {type: 'OBJECT_TYPE_UNSPECIFIED', id: '<string>'}
},
enablevnc: true
},
appType: 'APP_TYPE_UNSPECIFIED',
isSecretUpdated: true,
appPolicyId: '<string>',
deploymentType: 'DEPLOYMENT_TYPE_UNSPECIFIED',
userDefinedVersion: '<string>',
startDelayInSeconds: 123,
cloudInitVersion: 123,
allowSnapshots: true,
maxSnapshots: 123,
availableSnapshots: [
{
name: '<string>',
id: '<string>',
state: 'INVALID',
config: {},
activate: true,
immediate: true
}
],
patchEnvelopeId: '<string>',
patchEnvelopeName: '<string>',
edgeNodeCluster: {
id: '<string>',
designatedNodeID: '<string>',
name: '<string>',
enableAppPinning: true
},
PersistentRuntimeSizeBytes: '<string>'
},
agentAppInst: {
name: '<string>',
title: '<string>',
projectId: '<string>',
appId: '<string>',
deviceId: '<string>',
activate: true,
description: '<string>',
tags: {},
clusterID: '<string>',
drives: [
{
imagename: '<string>',
maxsize: 123,
readonly: true,
preserve: true,
drvtype: '<string>',
target: '<string>',
volumelabel: '<string>',
mvolname: '<string>',
imvolname: '<string>',
ignorepurge: true,
cleartext: true,
mountpath: '<string>'
}
],
interfaces: [
{
intfname: '<string>',
netname: '<string>',
io: {type: 'IO_TYPE_UNSPECIFIED', name: '<string>', tags: {}},
intforder: 123,
directattach: true,
privateip: true,
acls: [
{
matches: [{type: '<string>', value: '<string>'}],
actions: [
{
drop: true,
limit: true,
limitrate: 123,
limitunit: '<string>',
limitburst: 123,
portmap: true,
mapparams: {port: 123}
}
],
id: 123,
name: '<string>'
}
],
ipaddr: '<string>',
macaddr: '<string>',
accessVlanId: 2047.5,
netinstname: '<string>',
netinsttag: {},
netinstid: '<string>',
defaultNetInstance: true,
allowToDiscover: true
}
],
userData: '<string>',
customConfig: {
name: '<string>',
add: true,
override: true,
allowStorageResize: true,
fieldDelimiter: '<string>',
template: '<string>',
variableGroups: [
{
name: '<string>',
variables: [
{
format: 'VARIABLE_FORMAT_TEXT',
name: 'username',
label: 'Enter User Name',
required: 'True'
}
],
required: true,
condition: {
name: '<string>',
value: '<string>',
operator: 'CONDITION_OPERATOR_UNSPECIFIED'
}
}
]
},
collectStatsIPAddr: '<string>',
bundleversion: '<string>',
restart: {counter: 123, opsTime: {}},
refresh: {counter: 123, opsTime: {}},
purge: {counter: 123, opsTime: {}},
remoteConsole: true,
encryptedSecrets: {},
cryptoKey: '<string>',
manifestInfo: {
bundleVersion: '<string>',
nextBundleVersion: '<string>',
transitionAction: 'INSTANCE_TA_UNSPECIFIED',
params: {},
details: {
cause: 'TRANS_CAUSE_UNSPECIFIED',
severity: '<string>',
scope: {type: 'OBJECT_TYPE_UNSPECIFIED', id: '<string>'}
},
enablevnc: true
},
appType: 'APP_TYPE_UNSPECIFIED',
isSecretUpdated: true,
appPolicyId: '<string>',
deploymentType: 'DEPLOYMENT_TYPE_UNSPECIFIED',
userDefinedVersion: '<string>',
startDelayInSeconds: 123,
cloudInitVersion: 123,
allowSnapshots: true,
maxSnapshots: 123,
availableSnapshots: [
{
name: '<string>',
id: '<string>',
state: 'INVALID',
config: {},
activate: true,
immediate: true
}
],
patchEnvelopeId: '<string>',
patchEnvelopeName: '<string>',
edgeNodeCluster: {
id: '<string>',
designatedNodeID: '<string>',
name: '<string>',
enableAppPinning: true
},
PersistentRuntimeSizeBytes: '<string>'
},
minEdgeDevices: 123,
maxEdgeDevices: 123,
minServerNodes: 123,
maxServerNodes: 123,
minAgentNodes: 123,
maxAgentNodes: 123,
callHomeURL: '<string>',
clusterOnboardType: 'CLUSTER_ONBOARD_TYPE_UNSPECIFIED',
activate: '<string>'
})
};
fetch('https://{apiHost}/api/v1/cluster/instances/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the cluster instance
Body
Cluster Instance detail
User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the cluster instance. Title can be changed at any time
3 - 256^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$Type of cluster
CLUSTER_TYPE_UNSPECIFIED, CLUSTER_TYPE_K3S, CLUSTER_TYPE_TKG_ATTACH project id which the given cluster instance belong to
edgeNodePoolTags are name/value pairs that enables us to identify edgeNodes which are part of a ClusterInstance. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
Show child attributes
Show child attributes
app instance object for server node
Show child attributes
Show child attributes
app instance object for agent node
Show child attributes
Show child attributes
Minimum number of edge device required for the cluster instance
Maximum number of edge device allowed in the cluster instance
Minimum number of server nodes required for the cluster instance
Maximum number of server nodes allowed in the cluster instance
Minimum number of agent nodes required for the cluster instance
Maximum number of agent nodes allowed in the cluster instance
CallHome URL for the cluster to fetch configuration details
Cluster Instance orchestrator onboard type
CLUSTER_ONBOARD_TYPE_UNSPECIFIED, CLUSTER_ONBOARD_TYPE_MANUAL, CLUSTER_ONBOARD_TYPE_AUTOMATIC Detailed description of the cluster instance
256Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
Show child attributes
Show child attributes
cluster instance object revision details
Show child attributes
Show child attributes
cluster instance activation flag
System defined universally unique Id of the cluster policy
[0-9A-Za-z-]+Orchestrator type
ORCHESTRATOR_PROVIDER_UNSPECIFIED, ORCHESTRATOR_PROVIDER_RANCHER Orchestrator config
Show child attributes
Show child attributes
Network instance config to enforce on all devices of this cluster
Show child attributes
Show child attributes
External DataBase endpoint for the server to communicate and sync
List of Edge Node Ids to deploy the cluster instance
Response
A successful response.
OPS_TYPE_UNSPECIFIED, OPS_TYPE_READ, OPS_TYPE_DELETE, OPS_TYPE_CREATE, OPS_TYPE_UPDATE, OPS_TYPE_LIST - OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
- OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
- OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
OPS_STATUS_UNSPECIFIED, OPS_STATUS_PENDING, OPS_STATUS_ONGOING, OPS_STATUS_COMPLETE OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP Show child attributes
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://{apiHost}/api/v1/cluster/instances/id/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"title": "<string>",
"clusterType": "CLUSTER_TYPE_UNSPECIFIED",
"projectId": "<string>",
"edgeNodePoolTags": {},
"serverAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"description": "<string>",
"tags": {},
"clusterID": "<string>",
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>"
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"PersistentRuntimeSizeBytes": "<string>"
},
"agentAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"description": "<string>",
"tags": {},
"clusterID": "<string>",
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>"
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"PersistentRuntimeSizeBytes": "<string>"
},
"minEdgeDevices": 123,
"maxEdgeDevices": 123,
"minServerNodes": 123,
"maxServerNodes": 123,
"minAgentNodes": 123,
"maxAgentNodes": 123,
"callHomeURL": "<string>",
"clusterOnboardType": "CLUSTER_ONBOARD_TYPE_UNSPECIFIED",
"activate": "<string>"
}
'import requests
url = "https://{apiHost}/api/v1/cluster/instances/id/{id}"
payload = {
"name": "<string>",
"title": "<string>",
"clusterType": "CLUSTER_TYPE_UNSPECIFIED",
"projectId": "<string>",
"edgeNodePoolTags": {},
"serverAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": True,
"description": "<string>",
"tags": {},
"clusterID": "<string>",
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": True,
"preserve": True,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": True,
"cleartext": True,
"mountpath": "<string>"
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": True,
"privateip": True,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": True,
"limit": True,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": True,
"mapparams": { "port": 123 }
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": True,
"allowToDiscover": True
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": True,
"override": True,
"allowStorageResize": True,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": True,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": True,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": True
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": True,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": True,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": True,
"immediate": True
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": True
},
"PersistentRuntimeSizeBytes": "<string>"
},
"agentAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": True,
"description": "<string>",
"tags": {},
"clusterID": "<string>",
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": True,
"preserve": True,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": True,
"cleartext": True,
"mountpath": "<string>"
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": True,
"privateip": True,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": True,
"limit": True,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": True,
"mapparams": { "port": 123 }
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": True,
"allowToDiscover": True
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": True,
"override": True,
"allowStorageResize": True,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": True,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": True,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": True
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": True,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": True,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": True,
"immediate": True
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": True
},
"PersistentRuntimeSizeBytes": "<string>"
},
"minEdgeDevices": 123,
"maxEdgeDevices": 123,
"minServerNodes": 123,
"maxServerNodes": 123,
"minAgentNodes": 123,
"maxAgentNodes": 123,
"callHomeURL": "<string>",
"clusterOnboardType": "CLUSTER_ONBOARD_TYPE_UNSPECIFIED",
"activate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
title: '<string>',
clusterType: 'CLUSTER_TYPE_UNSPECIFIED',
projectId: '<string>',
edgeNodePoolTags: {},
serverAppInst: {
name: '<string>',
title: '<string>',
projectId: '<string>',
appId: '<string>',
deviceId: '<string>',
activate: true,
description: '<string>',
tags: {},
clusterID: '<string>',
drives: [
{
imagename: '<string>',
maxsize: 123,
readonly: true,
preserve: true,
drvtype: '<string>',
target: '<string>',
volumelabel: '<string>',
mvolname: '<string>',
imvolname: '<string>',
ignorepurge: true,
cleartext: true,
mountpath: '<string>'
}
],
interfaces: [
{
intfname: '<string>',
netname: '<string>',
io: {type: 'IO_TYPE_UNSPECIFIED', name: '<string>', tags: {}},
intforder: 123,
directattach: true,
privateip: true,
acls: [
{
matches: [{type: '<string>', value: '<string>'}],
actions: [
{
drop: true,
limit: true,
limitrate: 123,
limitunit: '<string>',
limitburst: 123,
portmap: true,
mapparams: {port: 123}
}
],
id: 123,
name: '<string>'
}
],
ipaddr: '<string>',
macaddr: '<string>',
accessVlanId: 2047.5,
netinstname: '<string>',
netinsttag: {},
netinstid: '<string>',
defaultNetInstance: true,
allowToDiscover: true
}
],
userData: '<string>',
customConfig: {
name: '<string>',
add: true,
override: true,
allowStorageResize: true,
fieldDelimiter: '<string>',
template: '<string>',
variableGroups: [
{
name: '<string>',
variables: [
{
format: 'VARIABLE_FORMAT_TEXT',
name: 'username',
label: 'Enter User Name',
required: 'True'
}
],
required: true,
condition: {
name: '<string>',
value: '<string>',
operator: 'CONDITION_OPERATOR_UNSPECIFIED'
}
}
]
},
collectStatsIPAddr: '<string>',
bundleversion: '<string>',
restart: {counter: 123, opsTime: {}},
refresh: {counter: 123, opsTime: {}},
purge: {counter: 123, opsTime: {}},
remoteConsole: true,
encryptedSecrets: {},
cryptoKey: '<string>',
manifestInfo: {
bundleVersion: '<string>',
nextBundleVersion: '<string>',
transitionAction: 'INSTANCE_TA_UNSPECIFIED',
params: {},
details: {
cause: 'TRANS_CAUSE_UNSPECIFIED',
severity: '<string>',
scope: {type: 'OBJECT_TYPE_UNSPECIFIED', id: '<string>'}
},
enablevnc: true
},
appType: 'APP_TYPE_UNSPECIFIED',
isSecretUpdated: true,
appPolicyId: '<string>',
deploymentType: 'DEPLOYMENT_TYPE_UNSPECIFIED',
userDefinedVersion: '<string>',
startDelayInSeconds: 123,
cloudInitVersion: 123,
allowSnapshots: true,
maxSnapshots: 123,
availableSnapshots: [
{
name: '<string>',
id: '<string>',
state: 'INVALID',
config: {},
activate: true,
immediate: true
}
],
patchEnvelopeId: '<string>',
patchEnvelopeName: '<string>',
edgeNodeCluster: {
id: '<string>',
designatedNodeID: '<string>',
name: '<string>',
enableAppPinning: true
},
PersistentRuntimeSizeBytes: '<string>'
},
agentAppInst: {
name: '<string>',
title: '<string>',
projectId: '<string>',
appId: '<string>',
deviceId: '<string>',
activate: true,
description: '<string>',
tags: {},
clusterID: '<string>',
drives: [
{
imagename: '<string>',
maxsize: 123,
readonly: true,
preserve: true,
drvtype: '<string>',
target: '<string>',
volumelabel: '<string>',
mvolname: '<string>',
imvolname: '<string>',
ignorepurge: true,
cleartext: true,
mountpath: '<string>'
}
],
interfaces: [
{
intfname: '<string>',
netname: '<string>',
io: {type: 'IO_TYPE_UNSPECIFIED', name: '<string>', tags: {}},
intforder: 123,
directattach: true,
privateip: true,
acls: [
{
matches: [{type: '<string>', value: '<string>'}],
actions: [
{
drop: true,
limit: true,
limitrate: 123,
limitunit: '<string>',
limitburst: 123,
portmap: true,
mapparams: {port: 123}
}
],
id: 123,
name: '<string>'
}
],
ipaddr: '<string>',
macaddr: '<string>',
accessVlanId: 2047.5,
netinstname: '<string>',
netinsttag: {},
netinstid: '<string>',
defaultNetInstance: true,
allowToDiscover: true
}
],
userData: '<string>',
customConfig: {
name: '<string>',
add: true,
override: true,
allowStorageResize: true,
fieldDelimiter: '<string>',
template: '<string>',
variableGroups: [
{
name: '<string>',
variables: [
{
format: 'VARIABLE_FORMAT_TEXT',
name: 'username',
label: 'Enter User Name',
required: 'True'
}
],
required: true,
condition: {
name: '<string>',
value: '<string>',
operator: 'CONDITION_OPERATOR_UNSPECIFIED'
}
}
]
},
collectStatsIPAddr: '<string>',
bundleversion: '<string>',
restart: {counter: 123, opsTime: {}},
refresh: {counter: 123, opsTime: {}},
purge: {counter: 123, opsTime: {}},
remoteConsole: true,
encryptedSecrets: {},
cryptoKey: '<string>',
manifestInfo: {
bundleVersion: '<string>',
nextBundleVersion: '<string>',
transitionAction: 'INSTANCE_TA_UNSPECIFIED',
params: {},
details: {
cause: 'TRANS_CAUSE_UNSPECIFIED',
severity: '<string>',
scope: {type: 'OBJECT_TYPE_UNSPECIFIED', id: '<string>'}
},
enablevnc: true
},
appType: 'APP_TYPE_UNSPECIFIED',
isSecretUpdated: true,
appPolicyId: '<string>',
deploymentType: 'DEPLOYMENT_TYPE_UNSPECIFIED',
userDefinedVersion: '<string>',
startDelayInSeconds: 123,
cloudInitVersion: 123,
allowSnapshots: true,
maxSnapshots: 123,
availableSnapshots: [
{
name: '<string>',
id: '<string>',
state: 'INVALID',
config: {},
activate: true,
immediate: true
}
],
patchEnvelopeId: '<string>',
patchEnvelopeName: '<string>',
edgeNodeCluster: {
id: '<string>',
designatedNodeID: '<string>',
name: '<string>',
enableAppPinning: true
},
PersistentRuntimeSizeBytes: '<string>'
},
minEdgeDevices: 123,
maxEdgeDevices: 123,
minServerNodes: 123,
maxServerNodes: 123,
minAgentNodes: 123,
maxAgentNodes: 123,
callHomeURL: '<string>',
clusterOnboardType: 'CLUSTER_ONBOARD_TYPE_UNSPECIFIED',
activate: '<string>'
})
};
fetch('https://{apiHost}/api/v1/cluster/instances/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}